Subject: Re: bug#48804: 27.2; compilation emacs on macOS

From: Alan Third <[email-masked]>
Date: Fri, 4 Jun 2021 13:59:41 +0100

On Fri, Jun 04, 2021 at 03:32:13PM +0300, Eli Zaretskii wrote:
> > I believe that libgccjit only just added support for M1 processors
> > in the last week or two, and for whatever reason the Intel
> > emulation on the Macs doesn't work with the older libgccjit
> > either.
> 
> Should we mention this in NEWS, where we announce native-compilation
> support? Knowing the prerequisites is important to avoid false
> expectations and frustration.

Probably, unfortunately I can't work out what the actual prerequisites
are. I don't have an M1 Mac so I can't even work it out myself.

Perhaps someone else can help us, unless just saying "try a newer
version on M1 Macs" is acceptable?
-- 
Alan Third